/* LANFC CGI source for MES2 */

#include <mes2.h>
#include <h8/reg3067.h>
#include <string.h>

#define BUFSIZE 128

void htmlout(char *filename);

int main(int argc, char **argv)
{
	int smd;
    char tmpstr[16];
    int mapper,hv;

    volatile unsigned char *smp;

	cgi_value(argv[1], "MAPPER", tmpstr, 15);
	sscanf(tmpstr, "%d", &mapper);

	cgi_value(argv[1], "HV", tmpstr, 15);
	sscanf(tmpstr, "%d", &hv);
	
	htmlout("reading.html");
	smd=shm_get('NESC',8);
	smp=shm_at(smd);

	if (smp[0]!='r'){
		smp[0]='r';
		smp[1]=mapper;
		smp[2]=hv;
	}

}

void htmlout(char *filename)
{
	int fd;
	int n;
	unsigned char	*data;
	
	fd=open(filename,OptRead);
	if (fd==-1){
		 printf("<html><TITLE>Error</TITLE><body>");
		 printf("<p>%s:File not found.</p></body></html>\n",filename);
		 return;
	}
	data=malloc(BUFSIZE+1);
	while(1){
		//size = ((filesize - i) < BUFSIZE) ? filesize - i : BUFSIZE;
		bzero(data, BUFSIZE);
		n=read(fd,data,BUFSIZE);
		if (n<=0) break;
		data[n]=0;
		printf("%s",data);
	}
	free(data);
	close(fd);

}

